## kodi-peripheral-xarcade 19.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(peripheral.xarcade)

# --- Add-on Dependencies ------------------------------------------------------

find_package(Kodi REQUIRED)

include_directories(${INCLUDES}
                    ${PROJECT_SOURCE_DIR}/src
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
)

set(XARCADE_SOURCES
  src/xarcade/XArcadeDevice.cpp
  src/xarcade/XArcadeScanner.cpp
  src/xarcade/XArcadeUtils.cpp
  src/addon.cpp
)

set(XARCADE_HEADERS
  src/utils/CommonDefines.h
  src/utils/CommonMacros.h
  src/xarcade/XArcadeDefines.h
  src/xarcade/XArcadeDevice.h
  src/xarcade/XArcadeScanner.h
  src/xarcade/XArcadeTypes.h
  src/xarcade/XArcadeUtils.h
)

# ------------------------------------------------------------------------------

build_addon(${PROJECT_NAME} XARCADE DEPLIBS)
include(CPack)

## kodi-peripheral-xarcade 1.2.0

=== debian/changelog ===
kodi-peripheral-xarcade (1.2.0-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:52 +0000

kodi-peripheral-xarcade (1.2.0-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 13:21:14 +0000

=== debian/control ===
Source: kodi-peripheral-xarcade
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade.git
Homepage: https://kodi.tv

Package: kodi-peripheral-xarcade
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PERIPHERALAPI}
Description: X-Arcade Tankstick driver for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the X-Arcade Tankstick driver for Kodi.
 See Readme for installing udev rule.

=== debian/watch ===
version=4
https://github.com/kodi-game/peripheral.xarcade/releases \
/kodi-game/peripheral.xarcade/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-peripheral-xarcade 19.0.0

=== debian/changelog ===
kodi-peripheral-xarcade (19.0.0-1) unstable; urgency=medium

  * New upstream version 19.0.0
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:32 +0000

kodi-peripheral-xarcade (1.2.0-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:38:34 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                kodi-addons-dev (>= 2:19~),
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade.git

=== debian/watch ===
version=4
https://github.com/kodi-game/peripheral.xarcade/releases \
/kodi-game/peripheral.xarcade/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-peripheral-xarcade 19.0.1

=== debian/changelog ===
kodi-peripheral-xarcade (19.0.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:22 +0000

kodi-peripheral-xarcade (19.0.1-1) unstable; urgency=medium

  * New upstream version 19.0.1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:51:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                pkg-config
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## kodi-peripheral-xarcade 20.1.0

=== debian/changelog ===
kodi-peripheral-xarcade (20.1.0-1) unstable; urgency=medium

  * New upstream version 20.1.0
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:57:18 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade.git

=== debian/watch ===
version=4
https://github.com/kodi-game/peripheral.xarcade/releases \
/kodi-game/peripheral.xarcade/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-peripheral-xarcade 20.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
   src/xarcade/XArcadeScanner.h
   src/xarcade/XArcadeTypes.h
   src/xarcade/XArcadeUtils.h
+  src/addon.h
 )
 
 # ------------------------------------------------------------------------------

=== debian/changelog ===
kodi-peripheral-xarcade (20.1.3-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:51:43 +0200

kodi-peripheral-xarcade (20.1.3-1) unstable; urgency=medium

  * New upstream version 20.1.3
  * Bmp copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 22 Jan 2023 14:45:10 +0000

kodi-peripheral-xarcade (20.1.2-1) unstable; urgency=medium

  * New upstream version 20.1.2
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kodi-peripheral-xarcade
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-game/peripheral.xarcade \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-peripheral-xarcade 21.0.0

=== debian/changelog ===
kodi-peripheral-xarcade (21.0.0-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:17 +0000

kodi-peripheral-xarcade (21.0.0-2) unstable; urgency=medium

  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:45:45 +0000

kodi-peripheral-xarcade (21.0.0-1) experimental; urgency=medium

  * New upstream version 21.0.0
  * Branch out experimental
  * Modernize package
  * New release 20.1.0-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:39 +0000

## kodi-peripheral-xarcade 21.0.1

=== debian/changelog ===
kodi-peripheral-xarcade (21.0.1-1) unstable; urgency=high

  * New upstream version 21.0.1

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 08 Sep 2024 06:43:43 +0000

## kodi-peripheral-xarcade 21.0.2

=== debian/changelog ===
kodi-peripheral-xarcade (21.0.2-2) unstable; urgency=high

  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:28 +0000

kodi-peripheral-xarcade (21.0.2-1) unstable; urgency=high

  * New upstream version 21.0.2

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 07 Jan 2025 19:13:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kodi-peripheral-xarcade
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                pkg-config
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-xarcade.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-peripheral-xarcade

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-game/peripheral.xarcade \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
